(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     74940,       1606]
NotebookOptionsPosition[     71302,       1508]
NotebookOutlinePosition[     71732,       1525]
CellTagsIndexPosition[     71689,       1522]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Time Tagger Quickstart", "Title",
 CellChangeTimes->{{3.771066459505661*^9, 
  3.771066471436206*^9}},ExpressionUUID->"031a71da-8cc1-4257-9e39-\
1c151b8669df"],

Cell[CellGroupData[{

Cell["Initialization", "Chapter",
 CellChangeTimes->{{3.7710665078415174`*^9, 
  3.7710665157288914`*^9}},ExpressionUUID->"622e19fd-0976-444e-8e01-\
fef29acaa724"],

Cell[CellGroupData[{

Cell["Establish .NET connection", "Section",
 CellChangeTimes->{{3.7710665662731123`*^9, 
  3.7710665717440233`*^9}},ExpressionUUID->"34b76c42-bb83-461d-9a75-\
79b236f90163"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "loads", " ", "NETLink", " ", "package", " ", "to", " ", "create", " ", 
    RowBox[{"a", " ", ".", "NET"}], " ", "context"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"InstallNET", "[", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"launches", " ", 
    RowBox[{"the", " ", ".", "NET"}], " ", "runtime", " ", "and", " ", 
    "prepares", " ", "it", " ", "to", " ", "be", " ", "used", " ", "from", 
    " ", "Mathematica"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TimeTagger", " ", "=", " ", 
    RowBox[{
    "LoadNETAssembly", "[", "\"\<SwabianInstruments.TimeTagger\>\"", "]"}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"loads", " ", "the", " ", 
    RowBox[{"SwabianInstruments", ".", "TimeTagger"}], " ", "assembly", " ", 
    "into", " ", 
    RowBox[{"the", " ", ".", "NET"}], " ", "runtime"}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "returns", " ", "to", " ", "TimeTagger", " ", "the", " ", "expression", 
    " ", "that", " ", "can", " ", "be", " ", "used", " ", "to", " ", 
    "identify", " ", "the", " ", "assembly"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TT", " ", "=", " ", 
   RowBox[{"NETNew", "[", "\"\<SwabianInstruments.TimeTagger.TT\>\"", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"constructs", " ", "a", " ", 
    RowBox[{"new", " ", ".", "NET"}], " ", "object", " ", "TT", " ", "of", 
    " ", "type", " ", "\"\<SwabianInstruments.TimeTagger.TT\>\""}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.771061796092781*^9, 3.7710617984990253`*^9}, 
   3.7710631695740533`*^9, {3.7710632252394304`*^9, 3.7710632637820315`*^9}, {
   3.7710633387091227`*^9, 3.7710633452915115`*^9}, 3.7710634438913403`*^9, {
   3.7710635383947077`*^9, 3.7710636298942375`*^9}, {3.771063778689659*^9, 
   3.7710638036658115`*^9}, {3.7710638703953524`*^9, 3.771063888091757*^9}, {
   3.771064850022112*^9, 3.7710648627753363`*^9}, {3.771064935186145*^9, 
   3.7710649756762323`*^9}, {3.7710650070911436`*^9, 
   3.7710650084215117`*^9}, {3.7710656041503096`*^9, 
   3.7710656180462112`*^9}, {3.771066086280326*^9, 3.7710661138121967`*^9}, {
   3.7710661576361156`*^9, 3.771066169412924*^9}, 3.7710663199601674`*^9, {
   3.771066358343145*^9, 3.771066367775056*^9}, {3.771152771359599*^9, 
   3.7711528172012253`*^9}, {3.771152852571501*^9, 3.77115290763834*^9}, {
   3.7711529770859747`*^9, 3.771152987390818*^9}, {3.771297552083233*^9, 
   3.771297685505009*^9}, {3.771297727073695*^9, 3.7712977491264534`*^9}, {
   3.7712978005592823`*^9, 3.7712978302970495`*^9}, 
   3.7713488312405815`*^9},ExpressionUUID->"8c8e08c9-b925-4374-862f-\
e5e95202b137"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Create a Time Tagger instance", "Section",
 CellChangeTimes->{{3.771066409095822*^9, 
  3.771066441282384*^9}},ExpressionUUID->"984ba5a2-8a91-44e1-86c4-\
48ef18c04aec"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tagger", " ", "=", " ", 
    RowBox[{"TT", "@", 
     RowBox[{"createTimeTagger", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "creates", " ", "TimeTagger", " ", "with", " ", "the", " ", "name", " ", 
     "tagger"}], " ", "-", " ", 
    RowBox[{"alternative", " ", 
     RowBox[{"synthex", ":", " ", 
      RowBox[{"TT", "[", 
       RowBox[{"createTimeTagger", "[", "]"}], "]"}]}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tagger", "@", 
   RowBox[{"reset", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"resets", " ", "tagger"}], " ", "-", " ", 
    RowBox[{"alternative", " ", 
     RowBox[{"synthex", ":", " ", 
      RowBox[{"tagger", "[", 
       RowBox[{"reset", "[", "]"}], "]"}]}]}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.771061796092781*^9, 3.7710617984990253`*^9}, 
   3.7710631695740533`*^9, {3.7710632252394304`*^9, 3.7710632637820315`*^9}, {
   3.7710633387091227`*^9, 3.7710633452915115`*^9}, 3.7710634438913403`*^9, {
   3.7710635383947077`*^9, 3.7710636298942375`*^9}, {3.771063778689659*^9, 
   3.7710638036658115`*^9}, {3.7710638703953524`*^9, 3.771063888091757*^9}, {
   3.771064850022112*^9, 3.7710648627753363`*^9}, {3.771064935186145*^9, 
   3.7710649756762323`*^9}, {3.7710650070911436`*^9, 
   3.7710650084215117`*^9}, {3.7710656041503096`*^9, 
   3.7710656180462112`*^9}, {3.771066086280326*^9, 3.7710661138121967`*^9}, 
   3.7710661576361156`*^9, {3.7710662877413397`*^9, 3.771066297000108*^9}, {
   3.771066603814229*^9, 3.7710666126347094`*^9}, {3.7710745936691427`*^9, 
   3.771074615789462*^9}, {3.771148522058052*^9, 3.7711485334829197`*^9}, {
   3.7713199880222*^9, 3.7713200546086993`*^9}, {3.771320151720254*^9, 
   3.77132015214213*^9}, {3.7713402295401487`*^9, 3.771340259046276*^9}, {
   3.771340878750929*^9, 3.771340889013489*^9}, 
   3.7777196631274614`*^9},ExpressionUUID->"ad92a357-3f26-4b48-9fb9-\
6dcf64f74348"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Utilities", "Section",
 CellChangeTimes->{{3.7711485460730424`*^9, 
  3.771148556378519*^9}},ExpressionUUID->"e03fb889-2e8e-4eb9-9381-\
ab7dcce87b28"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Sets", " ", "a", " ", "directory", " ", "for", " ", "data", " ", 
     "export"}], " ", "-", " ", 
    RowBox[{
    "current", " ", "folder", " ", "with", " ", "Mathematica", " ", 
     "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "Set"}], " ", "of", " ", "small", " ", "functions", 
    " ", "transferring", " ", "time", " ", "to", " ", "ps", " ", "for", " ", 
    "our", " ", "future", " ", "convenience"}], " ", 
   "***)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ps", "[", "t_", "]"}], ":=", "t"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ns", "[", "t_", "]"}], ":=", 
   RowBox[{"t", "*", 
    SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"us", "[", "t_", "]"}], ":=", 
   RowBox[{"t", "*", 
    SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ms", "[", "t_", "]"}], ":=", 
   RowBox[{"t", "*", 
    SuperscriptBox["10", "9"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "t_", "]"}], ":=", 
   RowBox[{"t", "*", 
    SuperscriptBox["10", "12"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Example", ":", " ", 
     RowBox[{
      RowBox[{"ms", "[", "1", "]"}], " ", "or", " ", "1"}]}], "//", 
    RowBox[{"ms", " ", "equals", " ", "to", " ", "1", "*", "1", "E9"}]}], " ",
    "*)"}]}]}], "Input",
 CellChangeTimes->{{3.771061796092781*^9, 3.7710617984990253`*^9}, 
   3.7710631695740533`*^9, {3.7710632252394304`*^9, 3.7710632637820315`*^9}, {
   3.7710633387091227`*^9, 3.7710633452915115`*^9}, 3.7710634438913403`*^9, {
   3.7710635383947077`*^9, 3.7710636298942375`*^9}, {3.771063778689659*^9, 
   3.7710638036658115`*^9}, {3.7710638703953524`*^9, 3.771063888091757*^9}, {
   3.771064850022112*^9, 3.7710648627753363`*^9}, {3.771064935186145*^9, 
   3.7710649756762323`*^9}, {3.7710650070911436`*^9, 
   3.7710650084215117`*^9}, {3.7710656041503096`*^9, 
   3.7710656180462112`*^9}, {3.771066086280326*^9, 3.7710661138121967`*^9}, 
   3.7710661576361156`*^9, {3.7710662877413397`*^9, 3.771066297000108*^9}, {
   3.771066603814229*^9, 3.7710666126347094`*^9}, {3.7710745936691427`*^9, 
   3.771074615789462*^9}, {3.771148522058052*^9, 3.7711485334829197`*^9}, {
   3.771234107020279*^9, 3.7712341122449207`*^9}, 3.7712347566853685`*^9, {
   3.771320083550866*^9, 3.7713201216514244`*^9}, {3.771320342488676*^9, 
   3.7713204659103727`*^9}, {3.7713206368833*^9, 3.771320638226008*^9}, {
   3.77134027315555*^9, 3.7713405467948613`*^9}, {3.7713406333692093`*^9, 
   3.7713406335227656`*^9}, {3.7713406814825897`*^9, 
   3.7713407455650673`*^9}, {3.7713423726109395`*^9, 3.771342409361734*^9}, {
   3.7713430451328645`*^9, 3.771343068057523*^9}, {3.771348045622411*^9, 
   3.7713480727642374`*^9}, {3.7713488753000393`*^9, 
   3.7713488777225666`*^9}, {3.7777196710239367`*^9, 3.777719688387291*^9}, {
   3.777882908925787*^9, 
   3.7778829098164415`*^9}},ExpressionUUID->"d9d141ae-19e6-45c3-87f4-\
c49561210e2b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Measurements using physical channels", "Chapter",
 CellChangeTimes->{{3.7710668236332374`*^9, 
  3.7710668358242655`*^9}},ExpressionUUID->"06daff4c-5e4a-4073-9d2a-\
62a7cb517484"],

Cell[CellGroupData[{

Cell["Demonstrate a counter time trace", "Section",
 CellChangeTimes->{{3.7711488338970747`*^9, 3.771148839896591*^9}, 
   3.771238208363583*^9},ExpressionUUID->"cc8ec0bf-4ebe-410f-a51d-\
95de59d049d4"],

Cell["\<\
Create counters on channels 1 and 2 with 1 ms bin width and 1000 points.\
\>", "Text",
 CellChangeTimes->{
  3.77123839467635*^9, {3.77123857798634*^9, 3.7712385779983025`*^9}, 
   3.771238618147935*^9, 
   3.7713487448588123`*^9},ExpressionUUID->"16f200e2-173d-4e71-bfe1-\
df94318aa4bf"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"count", " ", "=", 
    RowBox[{"NETNew", "[", 
     RowBox[{
     "\"\<SwabianInstruments.TimeTagger.Counter\>\"", ",", " ", "tagger", ",",
       " ", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"1", "//", "ms"}], ",", " ", "1000"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "constructs", " ", "a", " ", "Counter", " ", "for", " ", "TimeTagger", " ",
     "with", " ", "the", " ", "name", " ", "count"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tagger", "@", 
    RowBox[{"setTestSignal", "[", 
     RowBox[{"1", ",", " ", "True"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "sets", " ", "a", " ", "test", " ", "signal", " ", "for", " ", "the", " ", 
    "first", " ", "channel"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pause", "[", "0.5", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "pauses", " ", "Mathematica", " ", "for", " ", "at", " ", "least", " ", 
    "0.5", " ", "sec"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tagger", "@", 
    RowBox[{"setTestSignal", "[", 
     RowBox[{"2", ",", " ", "True"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "sets", " ", "a", " ", "test", " ", "signal", " ", "for", " ", "the", " ", 
    "second", " ", "channel"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pause", "[", "0.5", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "pauses", " ", "Mathematica", " ", "for", " ", "at", " ", "least", " ", 
    "0.5", " ", "sec"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x", " ", "=", 
    RowBox[{"N", "[", " ", 
     RowBox[{
      RowBox[{"count", "@", 
       RowBox[{"getIndex", "[", "]"}]}], "*", " ", "1", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "12"}]]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "takes", " ", "from", " ", "the", " ", "Counter", " ", "an", " ", "array",
      " ", "of", " ", "time", " ", "indexes", " ", "in", " ", "ps"}], ",", 
    " ", 
    RowBox[{"tranforms", " ", "to", " ", "s"}], ",", " ", 
    RowBox[{"saves", " ", "it", " ", "to", " ", "x"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"y", "=", 
    RowBox[{"N", "[", 
     RowBox[{
      RowBox[{"count", "@", 
       RowBox[{"getData", "[", "]"}]}], "*", "1", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "takes", " ", "from", " ", "the", " ", "Counter", " ", "two", " ", 
     "arrays", " ", "of", " ", "click", " ", "rates", " ", "for", " ", "two", 
     " ", "channels"}], ",", " ", 
    RowBox[{"multiplies", " ", "by", " ", "0.001"}], ",", " ", 
    RowBox[{"saves", " ", "both", " ", "to", " ", "y"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ClickRate", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{
         RowBox[{"y", "\[LeftDoubleBracket]", "ch", "\[RightDoubleBracket]"}],
          "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"ch", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "data", " ", "for", " ", "click", " ", "rate", " ", "on", " ", "channels", 
    " ", "1", " ", "and", " ", "2", " ", "in", " ", "table", " ", "form"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"ClickRate", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue"}], "}"}]}], "}"}]}], ",", " ", 
    RowBox[{"FrameLabel", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"\"\<Time (s)\>\"", ",", " ", "\"\<Count rate (MHz)\>\""}], 
      "}"}]}], ",", " ", 
    RowBox[{"PlotLabel", "\[Rule]", "\"\<Time Trace of the Click Rate\>\""}], 
    ",", " ", 
    RowBox[{"PlotLegends", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"\"\<Channel 1\>\"", ",", "\"\<Channel 2\>\""}], "}"}]}]}], 
   "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"plots", " ", "the", " ", "click", " ", "rate", " ", "trace"}], 
   " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "Data"}], " ", "export", " ", "into", " ", 
    RowBox[{"a", " ", ".", "txt"}], " ", "file", " ", "to", " ", "the", " ", 
    "folder", " ", "with", " ", "the", " ", "Mathematica", " ", "notebook"}], 
   " ", "***)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Every", " ", "time", " ", "export", " ", "rewrites", " ", "the", " ", 
    RowBox[{"existing", " ", ".", "txt"}], " ", "file"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<ClickRate.txt\>\"", ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
        ",", 
        RowBox[{
         RowBox[{"y", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], ",", 
        RowBox[{
         RowBox[{"y", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
         "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "x", "]"}]}], "}"}]}], "]"}], ",", 
    "\"\<Table\>\""}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.771066856824353*^9, 3.7710669041279106`*^9}, {
   3.771066958708424*^9, 3.771067065038048*^9}, {3.771067102074551*^9, 
   3.771067178972384*^9}, {3.77106726113748*^9, 3.7710673014348593`*^9}, {
   3.771067337314072*^9, 3.771067421924056*^9}, {3.771067617966858*^9, 
   3.771067647312686*^9}, {3.771067682062981*^9, 3.7710677634166503`*^9}, 
   3.7710678141517124`*^9, {3.771067959849428*^9, 3.771067972296996*^9}, {
   3.7710680375032797`*^9, 3.7710680953929377`*^9}, {3.7710681910485*^9, 
   3.7710681965490184`*^9}, {3.7710683364768915`*^9, 3.771068361756753*^9}, {
   3.7710684049092865`*^9, 3.7710684133834133`*^9}, 3.771069157602059*^9, {
   3.7710700641301413`*^9, 3.771070093591869*^9}, {3.7710701250670004`*^9, 
   3.771070133721844*^9}, {3.771070200822418*^9, 3.7710702395785203`*^9}, {
   3.7710702881243825`*^9, 3.7710702893041854`*^9}, {3.7710733227309923`*^9, 
   3.7710733231665225`*^9}, {3.7710733684145904`*^9, 3.771073389856123*^9}, {
   3.771073496161827*^9, 3.7710735223013487`*^9}, {3.771073585838951*^9, 
   3.7710736667524924`*^9}, {3.7710737536580777`*^9, 
   3.7710737537937207`*^9}, {3.7710738318154182`*^9, 
   3.7710738602582283`*^9}, {3.7710743548204184`*^9, 3.771074355271221*^9}, {
   3.7710744638101025`*^9, 3.7710744728679113`*^9}, {3.7710746056964674`*^9, 
   3.7710746076195335`*^9}, {3.771074798616556*^9, 3.7710748143097425`*^9}, {
   3.7710749114831896`*^9, 3.7710749193470736`*^9}, {3.771074954836897*^9, 
   3.7710749621944666`*^9}, {3.771074997574608*^9, 3.771075001161684*^9}, {
   3.771075164164542*^9, 3.771075169142372*^9}, {3.771137597679907*^9, 
   3.771137602216578*^9}, {3.7711379105005693`*^9, 3.7711379136219163`*^9}, {
   3.7711379459267426`*^9, 3.771137977743645*^9}, {3.7711380438534803`*^9, 
   3.7711380699127393`*^9}, {3.77113813040034*^9, 3.7711381305769897`*^9}, 
   3.771138974418841*^9, {3.771140095319821*^9, 3.771140183340252*^9}, {
   3.771140281956916*^9, 3.7711402904883747`*^9}, 3.7711403761844015`*^9, {
   3.771140492446375*^9, 3.7711405301674223`*^9}, {3.7711405603819857`*^9, 
   3.771140598882059*^9}, {3.7711406363576097`*^9, 3.7711406503447876`*^9}, {
   3.7711446593948755`*^9, 3.771144741925883*^9}, 3.771144782370572*^9, {
   3.7711448169749236`*^9, 3.771144841613559*^9}, {3.7711449208463*^9, 
   3.771144932092306*^9}, {3.771145048561051*^9, 3.77114513669825*^9}, {
   3.7711451721765594`*^9, 3.771145235272217*^9}, {3.77114528802721*^9, 
   3.771145309003353*^9}, 3.771145675403983*^9, 3.7711461843856087`*^9, {
   3.7711462224837418`*^9, 3.771146222872716*^9}, {3.7711462627871027`*^9, 
   3.771146268806919*^9}, {3.7711463099769506`*^9, 3.771146330797447*^9}, 
   3.7711463772667656`*^9, {3.771146450015481*^9, 3.771146478281892*^9}, {
   3.771148512528879*^9, 3.7711485136944203`*^9}, {3.7711486017972307`*^9, 
   3.7711486061466*^9}, 3.7711486494379854`*^9, {3.7711566697076387`*^9, 
   3.7711566701529636`*^9}, {3.771156712371113*^9, 3.7711567280919933`*^9}, {
   3.771233495127203*^9, 3.7712335108280916`*^9}, 3.771234762842763*^9, {
   3.7712348523587017`*^9, 3.7712348802726574`*^9}, {3.771235149180414*^9, 
   3.771235184032482*^9}, {3.7712376094036207`*^9, 3.771237613334262*^9}, {
   3.7712376923681216`*^9, 3.7712376958438*^9}, {3.7712380606900425`*^9, 
   3.7712380713424807`*^9}, {3.771238554021391*^9, 3.771238557891887*^9}, {
   3.77123884707124*^9, 3.7712388539946995`*^9}, {3.771238911113456*^9, 
   3.7712389245083838`*^9}, {3.771238955199564*^9, 3.771238979713199*^9}, 
   3.7712391124500647`*^9, {3.771246964701214*^9, 3.7712469984619064`*^9}, {
   3.7713202252122774`*^9, 3.771320318120167*^9}, {3.771320470083816*^9, 
   3.771320472568166*^9}, {3.7713206436337023`*^9, 3.77132064611942*^9}, {
   3.7713407523738627`*^9, 3.7713407542867947`*^9}, {3.771340931147848*^9, 
   3.7713409358074017`*^9}, {3.7713410817606535`*^9, 3.771341139095386*^9}, {
   3.7713422277144923`*^9, 3.771342255972991*^9}, {3.771342550724799*^9, 
   3.771342658866721*^9}, {3.771343812022461*^9, 3.771343812706678*^9}, {
   3.771343955144204*^9, 3.771344061858738*^9}, {3.7713441004147406`*^9, 
   3.771344157714116*^9}, {3.7713442183586116`*^9, 3.771344334119667*^9}, {
   3.771344476400221*^9, 3.7713446962456827`*^9}, {3.7713449459400454`*^9, 
   3.7713449748292727`*^9}, {3.7713456567259665`*^9, 
   3.7713457435954714`*^9}, {3.771346768054839*^9, 3.7713468029345956`*^9}, {
   3.771348036646408*^9, 3.7713480374851685`*^9}, {3.771348193933672*^9, 
   3.771348206668561*^9}, {3.7713482540366263`*^9, 3.7713482889658732`*^9}, {
   3.7777197038997145`*^9, 3.7777197092686005`*^9}, {3.777720122147195*^9, 
   3.777720125877314*^9}, {3.7777201601712*^9, 
   3.7777201648415985`*^9}},ExpressionUUID->"f71e9c44-d1f5-4e63-8bc8-\
cc2f13507a13"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.008333333333333333], 
         AbsoluteThickness[1.6], 
         Thickness[Large], 
         RGBColor[1, 0, 0]], 
        LineBox[CompressedData["
1:eJxdmHmIVmUUhweLiJCIkBbbbSdCJCIiYmjf95CICIkKiRbbrWzf933f3HLL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         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.008333333333333333], 
         AbsoluteThickness[1.6], 
         Thickness[Large], 
         RGBColor[0, 0, 1]], 
        LineBox[CompressedData["
1:eJxd2nvMt/UcwPFnMbPWrFkLIYRkZq2ZmVl75iyJkrVmzVrDmjkkIclZciaH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         "]]}}}, {}, {}, {{}, {}}, {{}, {}}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, AxesOrigin -> {0, 0}, 
     PlotRange -> {{0, 0.999}, {0, 0.809}}, PlotRangeClipping -> True, 
     ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox["\"Count rate (MHz)\"", TraditionalForm], None}, {
        FormBox["\"Time (s)\"", TraditionalForm], None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotLabel -> 
     FormBox["\"Time Trace of the Click Rate\"", TraditionalForm], 
     PlotRange -> {{0, 0.999}, {0, 0.809}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Channel 1\"", "\"Channel 2\""}, "LineLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large], 
                    RGBColor[1, 0, 0]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large], 
                    RGBColor[1, 0, 0]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large], 
                    RGBColor[0, 0, 1]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large], 
                    RGBColor[0, 0, 1]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.008333333333333333`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "Large", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[1, 0, 0]"], Appearance -> None, BaseStyle -> {},
                     BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.008333333333333333`", "]"}], 
                   ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "Large", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0, 0, 1]"], Appearance -> None, BaseStyle -> {},
                     BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.771146278975574*^9, {3.771146321870177*^9, 3.7711463475493393`*^9}, {
   3.7711463810639534`*^9, 3.7711464083192387`*^9}, 3.7711464871175556`*^9, 
   3.7711497770908146`*^9, 3.7711498797246284`*^9, {3.771150537797982*^9, 
   3.7711505566650925`*^9}, 3.7711505958432465`*^9, 3.7711506271578913`*^9, 
   3.771150682376623*^9, 3.771150728815323*^9, 3.771150783014144*^9, 
   3.7711508150662484`*^9, {3.771150929817221*^9, 3.771151040578697*^9}, {
   3.771151073617797*^9, 3.7711511690446057`*^9}, 3.771151242972666*^9, {
   3.771152084233353*^9, 3.7711521085708447`*^9}, {3.771152190865677*^9, 
   3.771152215692952*^9}, 3.7711522935856686`*^9, {3.7711524309849324`*^9, 
   3.7711524493183637`*^9}, 3.7711525392789154`*^9, 3.7711528223446045`*^9, 
   3.771152857754263*^9, 3.7711528900123773`*^9, 3.7711529976606894`*^9, 
   3.7711531412204375`*^9, 3.7711531887606993`*^9, 3.7711532297841024`*^9, 
   3.771153282815053*^9, 3.771153327638606*^9, 3.771153790201093*^9, 
   3.7711538316046047`*^9, 3.7711539102753983`*^9, 3.7711539611212926`*^9, {
   3.7711542144178967`*^9, 3.771154235295336*^9}, 3.771154307269608*^9, 
   3.7711543699848304`*^9, 3.7711544086138425`*^9, 3.7711566394058156`*^9, 
   3.7711566790488205`*^9, 3.771156735592273*^9, 3.7711590383760586`*^9, 
   3.7711590941537967`*^9, 3.7711591396228685`*^9, 3.771159316441573*^9, {
   3.7712266544792905`*^9, 3.771226699241352*^9}, 3.771234788520286*^9, {
   3.7712348675521097`*^9, 3.77123488775651*^9}, {3.7712351591018023`*^9, 
   3.771235169135353*^9}, {3.7712353013841934`*^9, 3.7712353201974277`*^9}, 
   3.771235394620061*^9, {3.7712376204309573`*^9, 3.7712376350929003`*^9}, 
   3.7712377027018075`*^9, {3.7712380782162743`*^9, 3.7712380966200066`*^9}, 
   3.771238989837924*^9, 3.771246592738304*^9, 3.7712471641294565`*^9, {
   3.7712472412308493`*^9, 3.7712472636790133`*^9}, {3.771247834805971*^9, 
   3.7712478655338573`*^9}, 3.7712481527390833`*^9, 3.7712482588865166`*^9, 
   3.7712493519525375`*^9, 3.77771992180725*^9, {3.7777201276012764`*^9, 
   3.777720139717484*^9}, {3.7777201742428827`*^9, 3.777720188981202*^9}, 
   3.7778829141923175`*^9, 3.7815229872104206`*^9, 
   3.7815231945981345`*^9},ExpressionUUID->"9be89185-3fdb-4f1d-bb27-\
ee69e9aa90fd"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7711448830626664`*^9, 
  3.77114488309956*^9}},ExpressionUUID->"16700a5f-56c0-4553-babe-\
bdf43b64ca24"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Determination of the internal propagation delay", "Section",
 CellChangeTimes->{{3.7711488651091876`*^9, 
  3.771148886029029*^9}},ExpressionUUID->"14eb8076-f6b4-4e10-b815-\
6b19f544438a"],

Cell["\<\
Create a cross-correlation on channels 1 and 2 with 10 ps bin width and 400 \
points.\
\>", "Text",
 CellChangeTimes->{
  3.77124781439137*^9, 3.7713468248669353`*^9, {3.771346869085712*^9, 
   3.77134687192299*^9}, 
   3.7815230634908323`*^9},ExpressionUUID->"afd05d75-ed7f-47c1-9fe8-\
a9137ebf353a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"corr", " ", "=", " ", 
    RowBox[{"NETNew", "[", 
     RowBox[{
     "\"\<SwabianInstruments.TimeTagger.Correlation\>\"", ",", " ", "tagger", 
      ",", " ", "1", ",", " ", "2", ",", 
      RowBox[{"10", "//", "ps"}], ",", "400"}], " ", "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "constructs", " ", "a", " ", "Correlation", " ", "instance", " ", "with", 
    " ", "the", " ", "name", " ", "corr"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pause", "[", "2", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "pauses", " ", "Mathematica", " ", "for", " ", "at", " ", "least", " ", 
    "2", " ", "sec"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xcorr", "=", " ", 
    RowBox[{"corr", "@", 
     RowBox[{"getIndex", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "array", " ", "of", " ", "time", " ", "indexes", " ", "in", " ", "ps", " ",
     "from", " ", "correlation", " ", "function"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ycorr", "  ", "=", " ", 
    RowBox[{"corr", "@", 
     RowBox[{"getData", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "array", " ", "of", " ", "y", " ", "values", " ", "from", " ", 
    "correlation", " ", "function"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"corrData", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
        "xcorr", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], ",", 
        RowBox[{
        "ycorr", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "xcorr", "]"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"creates", " ", "table", " ", "of", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], " ", "values", " ", "for", " ", 
    "plotting", " ", "and", " ", "export"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"corrData", ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", " ", "Full"}], ",", " ", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Green"}], "}"}], "}"}]}], ",", " ", 
    RowBox[{"FrameLabel", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"\"\<Time (ps)\>\"", ",", " ", "\"\<Clicks\>\""}], "}"}]}], ",",
     " ", 
    RowBox[{
    "PlotLabel", "\[Rule]", 
     "\"\<High Resolution Cross-Correlation Showing the Instrument \
Jitter\>\""}]}], "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"plots", " ", "the", " ", "cross"}], "-", 
    RowBox[{"correlation", " ", "function"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"delay", " ", "=", 
    RowBox[{"xcorr", "\[LeftDoubleBracket]", 
     RowBox[{
      RowBox[{"FirstPosition", "[", 
       RowBox[{"ycorr", ",", 
        RowBox[{"Max", "[", "ycorr", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
      "1", "\[RightDoubleBracket]"}], "\[RightDoubleBracket]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "calculates", " ", "the", " ", "internal", " ", "propagation", " ", 
    "delay"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StringForm", "[", 
   RowBox[{
   "\"\<The internal propagation delay is `` ps.\>\"", ",", " ", "delay"}], 
   "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "prints", " ", "the", " ", "internal", " ", "propatation", " ", "delay"}], 
   " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "Data"}], " ", "export", " ", "into", " ", 
    RowBox[{"a", " ", ".", "txt"}], " ", "file", " ", "to", " ", "the", " ", 
    "folder", " ", "with", " ", "the", " ", "Mathematica", " ", "notebook"}], 
   " ", "***)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Every", " ", "time", " ", "export", " ", "rewrites", " ", "the", " ", 
    RowBox[{"existing", " ", ".", "txt"}], " ", "file"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<CrossCorrelation.txt\>\"", ",", "corrData", ",", "\"\<Table\>\""}], 
   "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7711489056346073`*^9, 3.7711489115415854`*^9}, {
   3.7711494678516235`*^9, 3.7711495032561536`*^9}, {3.77114966192877*^9, 
   3.771149668023707*^9}, {3.7711497191445084`*^9, 3.771149764887395*^9}, {
   3.7711498108737717`*^9, 3.771149846409647*^9}, {3.7711499811640053`*^9, 
   3.771149987319789*^9}, {3.7711505010695667`*^9, 3.771150582173699*^9}, 
   3.771150620098069*^9, {3.77115067392612*^9, 3.7711507325553274`*^9}, {
   3.771150772253663*^9, 3.7711507723902965`*^9}, 3.771150807516629*^9, {
   3.771150922528242*^9, 3.771150991183976*^9}, {3.7711510304719706`*^9, 
   3.7711510310735707`*^9}, {3.7711510625888815`*^9, 
   3.7711511606816697`*^9}, {3.771151232967352*^9, 3.7711512885335474`*^9}, {
   3.77115204669228*^9, 3.771152101285282*^9}, {3.771152175826495*^9, 
   3.7711522065701547`*^9}, {3.7711522772442417`*^9, 
   3.7711522862421474`*^9}, {3.77115241743475*^9, 3.77115246946241*^9}, {
   3.771152519815708*^9, 3.7711525323300934`*^9}, {3.7711532705442667`*^9, 
   3.7711532750310063`*^9}, 3.7711590296711817`*^9, {3.771159083237177*^9, 
   3.771159102352427*^9}, {3.7711593030473905`*^9, 3.7711593034901295`*^9}, {
   3.771226628544876*^9, 3.7712266906899195`*^9}, 3.7712347675878277`*^9, {
   3.771235200340252*^9, 3.771235210048189*^9}, 3.7712353131865606`*^9, {
   3.7712353632771473`*^9, 3.771235385250247*^9}, {3.7712464377405252`*^9, 
   3.771246478824561*^9}, {3.7712465192494297`*^9, 3.771246584817135*^9}, {
   3.7712470142956247`*^9, 3.771247016439912*^9}, {3.7712470857027063`*^9, 
   3.771247087807595*^9}, {3.7712478247100143`*^9, 3.7712478592033615`*^9}, {
   3.771342189526576*^9, 3.7713421907144337`*^9}, {3.771346948151704*^9, 
   3.771347097434143*^9}, {3.7713471351802917`*^9, 3.7713474624023905`*^9}, {
   3.7713475327383623`*^9, 3.77134761190565*^9}, {3.771347649861186*^9, 
   3.771347706566675*^9}, {3.771347947635496*^9, 3.771348031657781*^9}, {
   3.771348090088958*^9, 3.771348146340526*^9}, {3.771348177312031*^9, 
   3.7713481874389586`*^9}, {3.7777198006322174`*^9, 
   3.7777198108222322`*^9}, {3.7777199541194353`*^9, 
   3.7777199612330117`*^9}, {3.7815230446960387`*^9, 
   3.781523066068316*^9}},ExpressionUUID->"2e17199e-3793-412b-9978-\
038f32d62fdb"],

Cell[BoxData[
 GraphicsBox[{{}, {{{}, {}, {
      {RGBColor[0, 1, 0], PointSize[0.011111111111111112`], Thickness[Large], 
       LineBox[CompressedData["
1:eJxd1E2IG2Ucx/Gn6iHHAT3kJLNQJHoaRCSo1BEKppcyLaWkFJbp0m2Tbe1O
d9vd9HWnL7tNu32Ztts2fR8QJBdhLkJgEebQQ44jIkQPMgeRFIoM6CEggpjn
ifr/Ppfhw39+85v/EDI1M7979jWlVLRFqX+u4+M+T9X/Txkunkn34RhuwR5c
gRU8eCqdwG3Yh6uwBQ+fSKdwBw7gGmzDo8fSGdyFQ7gOO3AJzh9J9+AIbsAu
XIaLh9J9OIZbsAdXYAUPOtIJ3IZ9uApb8PCBdAp34ACuwTY8ui+dwV04hOuw
A5fg/J50D47gBuzCZbjYkO7DMdyCPbgCK3hwVzqB27APV2ELHt6RTuEOHMA1
2IZHt6UzuAuHcB124BKcR9I9OIIbsAuX4fwWnge7cHFTOoY9WMHJDWkftuD0
unQA23C2Lh1OXHw6vjhwfs34LXd8iSbequ1O/JF2cVU7/Fw7Nk53a3vGvq+t
JvM57aRtvKTtG3ur2pZxbUM7vaK99qV2YLyYaNvGn2xqZ2vay33tUDv9+ntt
x8wXftbOV8e2p37VjrTdH3/TdrXTl3+Y/S+PXbz9p9lfu/Wt+kzvoV394nVt
pe1svqGdXBq7tmnmvna7uUXb0s5af5n9L+r3nRqZ/bXDN383+2v70Suz/wX9
vu/8YvY3/uEns7+22/zO7B/q5zdemP2N3/3G7G88/ZW5f0X7RcfMjfN18z3O
a0cr2spYNbX9c9quZ/Y7a+Yfm30m/tC8/xnj903/aeOK6Z/4PdN/ytj8ntXE
yvS3JtYnXZa24XBJOj8p7cLxCWkF+4voX0A/HB5Hf4B+eh79x9B3FM8/gvwc
8k3kDyN/CPlZ5A8iP4P8AeR95Kdx/37M92G+F/M9mO/CfCe8A94Ob4M/gLfC
POZ/9b88vA3eDu+Ad0qHuzDfg/lezPdhvh/zaWnXlw4PSKczyB9Efhb5Q8gf
Rr6J/BzyR5A/ivwx5OfhQDqHw+PS9gL6YH8R/SekY9g9iX44XEL/Mvphv4X+
U+iH3dPoh8Mz6D+Lftg/h/7z6IfdFekcdkPpCM5h54J0CGewfVE6gFPYuiTt
wwmsLkt7cAwXsLsqHcE57KxJh3AG21ekAziFrba0DyewuirtwTFcwO416QjO
YWddOoQz2L4uHcApbN2Q9uEEVjelPTiGC9i9JR3BOVyOkIcbcAT34Bwu3ZZ2
4Docwl04g0ewfUe6BgdwB07hIWzdla7CPtyGE3gAqw3pCuzBLTiG+3ABl+9J
u3ADjuAenMOl+9IOXIdDuAtn8Ai2H0jX4ADuwCk8hK2OdBX24TacwANYPZSu
wB7cgmO4Dxdw+ZG0CzfgCO7BOVx6LO3AdTiEu3AGj2D7iXQNDuAOnMJD2Hoq
XYV9uA0n8ABWz6QrsAe34BjuwwVcfv6v/wZ1Jo3g
        "]]}}}}, {}, {}, {{}, {}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox["\"Clicks\"", TraditionalForm], None}, {
     FormBox["\"Time (ps)\"", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
   "\"High Resolution Cross-Correlation Showing the Instrument Jitter\"", 
    TraditionalForm],
  PlotRange->{{-2000., 1990.}, {0, 169830.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7711506272626104`*^9, 3.7711506825102663`*^9, 3.77115072893894*^9, 
   3.771150783136852*^9, 3.771150815208905*^9, {3.7711509319574766`*^9, 
   3.7711510427379227`*^9}, {3.7711510757241697`*^9, 3.7711511711529264`*^9}, 
   3.771151245077524*^9, {3.7711520863707094`*^9, 3.771152110703307*^9}, {
   3.771152192974005*^9, 3.771152217833273*^9}, 3.77115229569855*^9, {
   3.771152433109971*^9, 3.7711524514857445`*^9}, 3.771152541407865*^9, 
   3.7711528255960307`*^9, 3.7711528610146914`*^9, 3.7711528931938796`*^9, 
   3.7711529997445164`*^9, 3.771153143337598*^9, 3.7711531908731575`*^9, 
   3.7711532318963475`*^9, 3.7711532849382505`*^9, 3.7711533297646217`*^9, 
   3.771153792322116*^9, 3.7711538337241135`*^9, 3.7711539123767776`*^9, 
   3.7711539632344646`*^9, {3.771154216542794*^9, 3.7711542374181595`*^9}, 
   3.771154309380872*^9, 3.7711543721137714`*^9, 3.771154410739876*^9, 
   3.7711566415392923`*^9, 3.771156681177593*^9, 3.771156737710625*^9, 
   3.7711590404961367`*^9, 3.771159096256138*^9, 3.7711591417428336`*^9, 
   3.771159318601573*^9, {3.771226656737049*^9, 3.7712267013791924`*^9}, 
   3.771234790618201*^9, {3.771234869660478*^9, 3.7712348898651543`*^9}, {
   3.771235161199991*^9, 3.771235171251695*^9}, {3.771235303488561*^9, 
   3.7712353223529205`*^9}, 3.771235396724428*^9, {3.7712376225403285`*^9, 
   3.77123763721622*^9}, 3.771237704824098*^9, {3.7712380803283896`*^9, 
   3.7712380987375245`*^9}, 3.771238991956356*^9, 3.7712465948726454`*^9, 
   3.771247166272765*^9, {3.7712472433458443`*^9, 3.7712472657861524`*^9}, {
   3.7712478369191895`*^9, 3.771247867656369*^9}, 3.7712481548504868`*^9, 
   3.771248261035942*^9, 3.771249354072899*^9, 3.7777199338903694`*^9, 
   3.777719964037123*^9, 3.777882921456291*^9, {3.781522991945352*^9, 
   3.781522998419154*^9}, 3.781523077357895*^9, 
   3.7815231987852345`*^9},ExpressionUUID->"e1c74487-5910-49c6-8322-\
df3b19c3e92c"],

Cell[BoxData[
 InterpretationBox["\<\"The internal propagation delay is \\!\\(\\*RowBox[{\\\
\"-\\\", \\\"640\\\"}]\\) ps.\"\>",
  StringForm["The internal propagation delay is `` ps.", -640],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.7711506272626104`*^9, 3.7711506825102663`*^9, 3.77115072893894*^9, 
   3.771150783136852*^9, 3.771150815208905*^9, {3.7711509319574766`*^9, 
   3.7711510427379227`*^9}, {3.7711510757241697`*^9, 3.7711511711529264`*^9}, 
   3.771151245077524*^9, {3.7711520863707094`*^9, 3.771152110703307*^9}, {
   3.771152192974005*^9, 3.771152217833273*^9}, 3.77115229569855*^9, {
   3.771152433109971*^9, 3.7711524514857445`*^9}, 3.771152541407865*^9, 
   3.7711528255960307`*^9, 3.7711528610146914`*^9, 3.7711528931938796`*^9, 
   3.7711529997445164`*^9, 3.771153143337598*^9, 3.7711531908731575`*^9, 
   3.7711532318963475`*^9, 3.7711532849382505`*^9, 3.7711533297646217`*^9, 
   3.771153792322116*^9, 3.7711538337241135`*^9, 3.7711539123767776`*^9, 
   3.7711539632344646`*^9, {3.771154216542794*^9, 3.7711542374181595`*^9}, 
   3.771154309380872*^9, 3.7711543721137714`*^9, 3.771154410739876*^9, 
   3.7711566415392923`*^9, 3.771156681177593*^9, 3.771156737710625*^9, 
   3.7711590404961367`*^9, 3.771159096256138*^9, 3.7711591417428336`*^9, 
   3.771159318601573*^9, {3.771226656737049*^9, 3.7712267013791924`*^9}, 
   3.771234790618201*^9, {3.771234869660478*^9, 3.7712348898651543`*^9}, {
   3.771235161199991*^9, 3.771235171251695*^9}, {3.771235303488561*^9, 
   3.7712353223529205`*^9}, 3.771235396724428*^9, {3.7712376225403285`*^9, 
   3.77123763721622*^9}, 3.771237704824098*^9, {3.7712380803283896`*^9, 
   3.7712380987375245`*^9}, 3.771238991956356*^9, 3.7712465948726454`*^9, 
   3.771247166272765*^9, {3.7712472433458443`*^9, 3.7712472657861524`*^9}, {
   3.7712478369191895`*^9, 3.771247867656369*^9}, 3.7712481548504868`*^9, 
   3.771248261035942*^9, 3.771249354072899*^9, 3.7777199338903694`*^9, 
   3.777719964037123*^9, 3.777882921456291*^9, {3.781522991945352*^9, 
   3.781522998419154*^9}, 3.781523077357895*^9, 
   3.781523198800824*^9},ExpressionUUID->"d1927ce8-1d95-4172-a8de-\
8606c6039d0b"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Measurements using virtual channels", "Chapter",
 CellChangeTimes->{{3.771148297189493*^9, 3.771148305991703*^9}, {
  3.7711483451322374`*^9, 
  3.771148347077037*^9}},ExpressionUUID->"2518ac90-50e3-4379-aa8c-\
592edd06a47f"],

Cell[CellGroupData[{

Cell["Combined vs. coinciding counts", "Section",
 CellChangeTimes->{{3.7711564456865396`*^9, 3.771156486557838*^9}, {
  3.771156583014763*^9, 
  3.7711566077550697`*^9}},ExpressionUUID->"4bbd5adb-b6c0-4706-963a-\
4df16a4f67f0"],

Cell["\<\
Create virtual channels that either combine the events in channel 1 and \
channel 2 or collect coinciding events, respectively.\
\>", "Text",
 CellChangeTimes->{{3.771248184139129*^9, 
  3.7712482421630144`*^9}},ExpressionUUID->"ad8bf09f-4a00-4d50-819d-\
c5674fdfd815"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Ch1orCh2", " ", "=", " ", 
    RowBox[{"NETNew", "[", 
     RowBox[{
     "\"\<SwabianInstruments.TimeTagger.Combiner\>\"", ",", " ", "tagger", 
      ",", " ", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "creates", " ", "a", " ", "virtual", " ", "combiner", " ", "for", " ", 
    "events", " ", "at", " ", "physical", " ", "channels", " ", "1", " ", 
    "and", " ", "2"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StringForm", "[", 
   RowBox[{
   "\"\<The virtual channel combining channels 1 & 2 has been assigned a \
number ``.\>\"", ",", " ", 
    RowBox[{"Ch1orCh2", "@", 
     RowBox[{"getChannel", "[", "]"}]}]}], "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "prints", " ", "the", " ", "assigned", " ", "number", " ", "for", " ", 
    "virtual", " ", "combiner"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Ch1andCh2", " ", "=", " ", 
    RowBox[{"NETNew", "[", 
     RowBox[{
     "\"\<SwabianInstruments.TimeTagger.Coincidence\>\"", ",", " ", "tagger", 
      ",", " ", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", " ", 
      RowBox[{"Abs", "[", "delay", "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "creates", " ", "a", " ", "virtual", " ", "coincindence", " ", "channel", 
    " ", "for", " ", "events", " ", "at", " ", "physical", " ", "channels", 
    " ", "1", " ", "and", " ", "2"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"StringForm", "[", 
   RowBox[{
   "\"\<The virtual channel for coinciding clicks has been assigned a number \
``.\>\"", ",", " ", 
    RowBox[{"Ch1andCh2", "@", 
     RowBox[{"getChannel", "[", "]"}]}]}], "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "prints", " ", "the", " ", "assigned", " ", "number", " ", "for", " ", 
    "virtual", " ", "coincidence", " ", "channel"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"countrate", " ", "=", " ", 
    RowBox[{"NETNew", "[", 
     RowBox[{
     "\"\<SwabianInstruments.TimeTagger.Countrate\>\"", ",", " ", "tagger", 
      ",", " ", 
      RowBox[{"{", 
       RowBox[{"1", ",", " ", 
        RowBox[{"Ch1orCh2", "@", 
         RowBox[{"getChannel", "[", "]"}]}], ",", " ", 
        RowBox[{"Ch1andCh2", "@", 
         RowBox[{"getChannel", "[", "]"}]}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "receives", " ", "the", " ", "countrates", " ", "from", " ", "the", " ", 
    "assigned", " ", "virtual", " ", "channels", " ", "for", " ", "combined", 
    " ", "and", " ", "coinciding", " ", "events"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pause", "[", "1", "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "pauses", " ", "Mathematica", " ", "for", " ", "at", " ", "least", " ", 
    "1", " ", "sec"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", " ", "=", " ", 
   RowBox[{"countrate", "@", 
    RowBox[{"getData", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringForm", "[", 
  RowBox[{
  "\"\<Channel 1 counts: ``\nCombined counts: ``\nCoinciding counts: ``\>\"", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"ScientificForm", "[", 
    RowBox[{"data", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
    "]"}], ",", " ", 
   RowBox[{"ScientificForm", "[", 
    RowBox[{"data", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
    "]"}], ",", " ", 
   RowBox[{"ScientificForm", "[", 
    RowBox[{"data", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
    "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.771148399178666*^9, 3.7711484221433315`*^9}, {
   3.771148452954751*^9, 3.7711485017781763`*^9}, {3.7711485698572793`*^9, 
   3.7711485912268887`*^9}, 3.7711486535715446`*^9, {3.7711526437545223`*^9, 
   3.7711526497079487`*^9}, {3.7711527083280134`*^9, 
   3.7711527422420826`*^9}, {3.7711530465266757`*^9, 3.771153133275148*^9}, {
   3.7711531786054726`*^9, 3.771153239381257*^9}, {3.7711536243746786`*^9, 
   3.7711537795489607`*^9}, {3.771153812243782*^9, 3.771153823769384*^9}, {
   3.77115385406533*^9, 3.771153856333501*^9}, {3.7711539323541517`*^9, 
   3.7711539543086977`*^9}, {3.771154182683382*^9, 3.771154228879447*^9}, {
   3.7711542956322803`*^9, 3.7711542998370805`*^9}, {3.771154351380867*^9, 
   3.7711544027594924`*^9}, {3.771247197319847*^9, 3.7712472567969365`*^9}, {
   3.7712479378391843`*^9, 3.7712480335277243`*^9}, {3.771248072712781*^9, 
   3.7712481371080303`*^9}, {3.7713483694303713`*^9, 3.771348432782013*^9}, {
   3.771348539248623*^9, 3.7713486828114185`*^9}, {3.7713487250925045`*^9, 
   3.771348765100341*^9}, {3.771348899442511*^9, 3.77134895883547*^9}, {
   3.771349002542908*^9, 3.7713492125474653`*^9}, {3.7713492482731276`*^9, 
   3.771349252610407*^9}, {3.77134934512105*^9, 3.7713493951348324`*^9}, 
   3.771349448914032*^9, {3.777719881014521*^9, 3.777719881507449*^9}, {
   3.7815232813139687`*^9, 
   3.781523289208867*^9}},ExpressionUUID->"75792957-92f4-4061-aec5-\
ac83a7191f56"],

Cell[BoxData[
 InterpretationBox["\<\"The virtual channel combining channels 1 & 2 has been \
assigned a number \\!\\(\\*RowBox[{\\\"11\\\"}]\\).\"\>",
  StringForm[
  "The virtual channel combining channels 1 & 2 has been assigned a number \
``.", 11],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.771153144504411*^9, 3.771153191948166*^9, 3.771153232979496*^9, 
   3.7711532861041603`*^9, 3.7711533309843874`*^9, 3.7711537934820166`*^9, 
   3.7711538348935986`*^9, 3.771153913563365*^9, 3.7711539644212523`*^9, {
   3.7711542177451763`*^9, 3.771154238588994*^9}, 3.771154310555771*^9, 
   3.771154373284482*^9, 3.7711544119192343`*^9, 3.771156642756078*^9, 
   3.7711566823425107`*^9, 3.771156738856559*^9, 3.7711590417139482`*^9, 
   3.7711590975029726`*^9, 3.771159142972149*^9, 3.7711593198011336`*^9, {
   3.7712266579670124`*^9, 3.7712267025858727`*^9}, 3.771234791781106*^9, {
   3.7712348709220705`*^9, 3.771234891033032*^9}, {3.771235162353916*^9, 
   3.77123517241658*^9}, {3.771235304664983*^9, 3.7712353235894065`*^9}, 
   3.771235397900281*^9, {3.7712376236920986`*^9, 3.7712376383677073`*^9}, 
   3.7712377059642296`*^9, {3.771238081461355*^9, 3.771238099921362*^9}, 
   3.7712389931232433`*^9, 3.7712465960678806`*^9, 3.77124716749745*^9, {
   3.7712472445186734`*^9, 3.771247266963004*^9}, {3.7712478381247683`*^9, 
   3.771247868863145*^9}, 3.7712481549192514`*^9, 3.771248261170662*^9, 
   3.7712493541477184`*^9, 3.777719986589315*^9, 3.7815230823955135`*^9, {
   3.7815231441651955`*^9, 3.7815231671154184`*^9}, 3.78152320112931*^9, 
   3.7815232896083374`*^9},ExpressionUUID->"54717af3-6642-4338-a5e6-\
d27c58b614b3"],

Cell[BoxData[
 InterpretationBox["\<\"The virtual channel for coinciding clicks has been \
assigned a number \\!\\(\\*RowBox[{\\\"12\\\"}]\\).\"\>",
  StringForm[
  "The virtual channel for coinciding clicks has been assigned a number ``.", 
   12],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.771153144504411*^9, 3.771153191948166*^9, 3.771153232979496*^9, 
   3.7711532861041603`*^9, 3.7711533309843874`*^9, 3.7711537934820166`*^9, 
   3.7711538348935986`*^9, 3.771153913563365*^9, 3.7711539644212523`*^9, {
   3.7711542177451763`*^9, 3.771154238588994*^9}, 3.771154310555771*^9, 
   3.771154373284482*^9, 3.7711544119192343`*^9, 3.771156642756078*^9, 
   3.7711566823425107`*^9, 3.771156738856559*^9, 3.7711590417139482`*^9, 
   3.7711590975029726`*^9, 3.771159142972149*^9, 3.7711593198011336`*^9, {
   3.7712266579670124`*^9, 3.7712267025858727`*^9}, 3.771234791781106*^9, {
   3.7712348709220705`*^9, 3.771234891033032*^9}, {3.771235162353916*^9, 
   3.77123517241658*^9}, {3.771235304664983*^9, 3.7712353235894065`*^9}, 
   3.771235397900281*^9, {3.7712376236920986`*^9, 3.7712376383677073`*^9}, 
   3.7712377059642296`*^9, {3.771238081461355*^9, 3.771238099921362*^9}, 
   3.7712389931232433`*^9, 3.7712465960678806`*^9, 3.77124716749745*^9, {
   3.7712472445186734`*^9, 3.771247266963004*^9}, {3.7712478381247683`*^9, 
   3.771247868863145*^9}, 3.7712481549192514`*^9, 3.771248261170662*^9, 
   3.7712493541477184`*^9, 3.777719986589315*^9, 3.7815230823955135`*^9, {
   3.7815231441651955`*^9, 3.7815231671154184`*^9}, 3.78152320112931*^9, 
   3.781523289623959*^9},ExpressionUUID->"7c573820-024a-402c-b71b-\
b246890a7fa9"],

Cell[BoxData[
 InterpretationBox["\<\"Channel 1 counts: \
\\!\\(\\*RowBox[{\\\"\\\\\\\"8.06578\\\\\\\"\\\", \\\"\[Times]\\\", \
SuperscriptBox[\\\"10\\\", \\\"\\\\\\\"5\\\\\\\"\\\"]}]\\)\\nCombined counts: \
\\!\\(\\*RowBox[{\\\"\\\\\\\"1.61316\\\\\\\"\\\", \\\"\[Times]\\\", \
SuperscriptBox[\\\"10\\\", \\\"\\\\\\\"6\\\\\\\"\\\"]}]\\)\\nCoinciding \
counts: \\!\\(\\*RowBox[{\\\"\\\\\\\"4.42489\\\\\\\"\\\", \\\"\[Times]\\\", \
SuperscriptBox[\\\"10\\\", \\\"\\\\\\\"5\\\\\\\"\\\"]}]\\)\"\>",
  StringForm[
  "Channel 1 counts: ``\nCombined counts: ``\nCoinciding counts: ``", 
   ScientificForm[806578.3816461603], 
   ScientificForm[1.6131567632923205`*^6], 
   ScientificForm[442489.4798821031]],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.771153144504411*^9, 3.771153191948166*^9, 3.771153232979496*^9, 
   3.7711532861041603`*^9, 3.7711533309843874`*^9, 3.7711537934820166`*^9, 
   3.7711538348935986`*^9, 3.771153913563365*^9, 3.7711539644212523`*^9, {
   3.7711542177451763`*^9, 3.771154238588994*^9}, 3.771154310555771*^9, 
   3.771154373284482*^9, 3.7711544119192343`*^9, 3.771156642756078*^9, 
   3.7711566823425107`*^9, 3.771156738856559*^9, 3.7711590417139482`*^9, 
   3.7711590975029726`*^9, 3.771159142972149*^9, 3.7711593198011336`*^9, {
   3.7712266579670124`*^9, 3.7712267025858727`*^9}, 3.771234791781106*^9, {
   3.7712348709220705`*^9, 3.771234891033032*^9}, {3.771235162353916*^9, 
   3.77123517241658*^9}, {3.771235304664983*^9, 3.7712353235894065`*^9}, 
   3.771235397900281*^9, {3.7712376236920986`*^9, 3.7712376383677073`*^9}, 
   3.7712377059642296`*^9, {3.771238081461355*^9, 3.771238099921362*^9}, 
   3.7712389931232433`*^9, 3.7712465960678806`*^9, 3.77124716749745*^9, {
   3.7712472445186734`*^9, 3.771247266963004*^9}, {3.7712478381247683`*^9, 
   3.771247868863145*^9}, 3.7712481549192514`*^9, 3.771248261170662*^9, 
   3.7712493541477184`*^9, 3.777719986589315*^9, 3.7815230823955135`*^9, {
   3.7815231441651955`*^9, 3.7815231671154184`*^9}, 3.78152320112931*^9, 
   3.7815232906929693`*^9},ExpressionUUID->"2c2898b1-993b-42cb-b6b6-\
207bc15a030d"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Finish", "Chapter",
 CellChangeTimes->{{3.7710666379665904`*^9, 
  3.771066638876576*^9}},ExpressionUUID->"e84d5c68-7b18-490f-8b43-\
0bbde7d020c9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TT", "@", 
   RowBox[{"freeTimeTagger", "[", "tagger", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"clears", " ", "TimeTagger"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.771061796092781*^9, 3.7710617984990253`*^9}, 
   3.7710631695740533`*^9, {3.7710632252394304`*^9, 3.7710632637820315`*^9}, {
   3.7710633387091227`*^9, 3.7710633452915115`*^9}, 3.7710634438913403`*^9, {
   3.7710635383947077`*^9, 3.7710636298942375`*^9}, {3.771063778689659*^9, 
   3.7710638036658115`*^9}, {3.7710638703953524`*^9, 3.771063888091757*^9}, {
   3.771064850022112*^9, 3.7710648627753363`*^9}, {3.771064935186145*^9, 
   3.7710649756762323`*^9}, {3.7710650070911436`*^9, 
   3.7710650084215117`*^9}, {3.7710656041503096`*^9, 
   3.7710656180462112`*^9}, {3.771066086280326*^9, 3.7710661138121967`*^9}, 
   3.7710661576361156`*^9, 3.7710667259266634`*^9, 3.771069138320394*^9, 
   3.7711566261487665`*^9, {3.7713483104254713`*^9, 
   3.7713483189327717`*^9}},ExpressionUUID->"7955cc77-9a8a-4734-a30d-\
4a30783f63dc"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1707, 877},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
SpellingDictionaries->{"CorrectWords"->{"Quickstart"}},
Magnification:>1.3 Inherited,
FrontEndVersion->"11.1 for Microsoft Windows (64-bit) (March 13, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 165, 3, 117, "Title", "ExpressionUUID" -> \
"031a71da-8cc1-4257-9e39-1c151b8669df"],
Cell[CellGroupData[{
Cell[770, 29, 163, 3, 83, "Chapter", "ExpressionUUID" -> \
"622e19fd-0976-444e-8e01-fef29acaa724"],
Cell[CellGroupData[{
Cell[958, 36, 174, 3, 80, "Section", "ExpressionUUID" -> \
"34b76c42-bb83-461d-9a75-79b236f90163"],
Cell[1135, 41, 2948, 62, 241, "Input", "ExpressionUUID" -> \
"8c8e08c9-b925-4374-862f-e5e95202b137"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4120, 108, 174, 3, 80, "Section", "ExpressionUUID" -> \
"984ba5a2-8a91-44e1-86c4-48ef18c04aec"],
Cell[4297, 113, 2052, 43, 116, "Input", "ExpressionUUID" -> \
"ad92a357-3f26-4b48-9fb9-6dcf64f74348"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6386, 161, 156, 3, 80, "Section", "ExpressionUUID" -> \
"e03fb889-2e8e-4eb9-9381-ab7dcce87b28"],
Cell[6545, 166, 3332, 75, 266, "Input", "ExpressionUUID" -> \
"d9d141ae-19e6-45c3-87f4-c49561210e2b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9926, 247, 185, 3, 83, "Chapter", "ExpressionUUID" -> \
"06daff4c-5e4a-4073-9d2a-62a7cb517484"],
Cell[CellGroupData[{
Cell[10136, 254, 202, 3, 80, "Section", "ExpressionUUID" -> \
"cc8ec0bf-4ebe-410f-a51d-95de59d049d4"],
Cell[10341, 259, 298, 7, 39, "Text", "ExpressionUUID" -> \
"16f200e2-173d-4e71-bfe1-df94318aa4bf"],
Cell[CellGroupData[{
Cell[10664, 270, 11023, 231, 653, "Input", "ExpressionUUID" -> \
"f71e9c44-d1f5-4e63-8bc8-cc2f13507a13"],
Cell[21690, 503, 22389, 420, 345, "Output", "ExpressionUUID" -> \
"9be89185-3fdb-4f1d-bb27-ee69e9aa90fd"]
}, Open  ]],
Cell[44094, 926, 153, 3, 40, "Input", "ExpressionUUID" -> \
"16700a5f-56c0-4553-babe-bdf43b64ca24"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44284, 934, 194, 3, 80, "Section", "ExpressionUUID" -> \
"14eb8076-f6b4-4e10-b815-6b19f544438a"],
Cell[44481, 939, 311, 8, 39, "Text", "ExpressionUUID" -> \
"afd05d75-ed7f-47c1-9fe8-a9137ebf353a"],
Cell[CellGroupData[{
Cell[44817, 951, 6805, 155, 566, "Input", "ExpressionUUID" -> \
"2e17199e-3793-412b-9978-038f32d62fdb"],
Cell[51625, 1108, 4706, 90, 298, "Output", "ExpressionUUID" -> \
"e1c74487-5910-49c6-8322-df3b19c3e92c"],
Cell[56334, 1200, 2152, 32, 73, "Output", "ExpressionUUID" -> \
"d1927ce8-1d95-4172-a8de-8606c6039d0b"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[58547, 1239, 231, 4, 83, "Chapter", "ExpressionUUID" -> \
"2518ac90-50e3-4379-aa8c-592edd06a47f"],
Cell[CellGroupData[{
Cell[58803, 1247, 228, 4, 80, "Section", "ExpressionUUID" -> \
"4bbd5adb-b6c0-4706-963a-4df16a4f67f0"],
Cell[59034, 1253, 279, 6, 39, "Text", "ExpressionUUID" -> \
"ad8bf09f-4a00-4d50-819d-c5674fdfd815"],
Cell[CellGroupData[{
Cell[59338, 1263, 5237, 118, 441, "Input", "ExpressionUUID" -> \
"75792957-92f4-4061-aec5-ac83a7191f56"],
Cell[64578, 1383, 1649, 26, 40, "Output", "ExpressionUUID" -> \
"54717af3-6642-4338-a5e6-d27c58b614b3"],
Cell[66230, 1411, 1643, 26, 40, "Output", "ExpressionUUID" -> \
"7c573820-024a-402c-b71b-b246890a7fa9"],
Cell[67876, 1439, 2097, 33, 91, "Output", "ExpressionUUID" -> \
"2c2898b1-993b-42cb-b6b6-207bc15a030d"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[70034, 1479, 153, 3, 83, "Chapter", "ExpressionUUID" -> \
"e84d5c68-7b18-490f-8b43-0bbde7d020c9"],
Cell[70190, 1484, 1084, 20, 66, "Input", "ExpressionUUID" -> \
"7955cc77-9a8a-4734-a30d-4a30783f63dc"]
}, Open  ]]
}, Open  ]]
}
]
*)

